#!/usr/bin/env python
from configparser import ConfigParser
import sys, os
ini = ConfigParser(allow_no_value=True)
for inifile in os.listdir("inventory"):
  ini.read("inventory/"+inifile)
if len(sys.argv) == 1:
  sys.stderr.write("Host groups: %s\n" % ", ".join(ini.sections()))
  sys.exit(1)
hosts = []
for s in sys.argv[1:]:
  if not s in ini.sections():
    continue
  hosts += [ x[0] for x in ini.items(s) ]
print "pdsh -Rssh -w%s" % ",".join(hosts)
